<!DOCTYPE html>
<html>
    <head>
        <title>Test</title>
    </head>
    <body>
        <script>
            var socket = new WebSocket("ws://data.reports.localhost:8080/test");
            socket.onopen = () => {
                setInterval(() => {
                    if (socket.readyState === WebSocket.OPEN)
                        socket.send(JSON.stringify({
                            1: Math.random() * 30,
                            2: Math.random() * 1024 - 512,
                            3: Math.random() + 4,
                            4: Math.random() * 2390,
                            5: 30
                        }));
                }, 1000);
            }
        </script>
    </body>
</html>